# Open Source Project: GnuCash

## Home website: 
[https://www.gnucash.org/]

## Purpose: 
It's a free financial accounting software meant for individuals and small-businesses. It's meant to be an alternative to Mint. 
It allows you to track bank accounts, stocks, income and expenses. 

## Why I Chose This One:
I was looking through different open source projects, and I found this one especially interesting in light of the recent Equifax hack. People are understandably cagey about their personal financial information right now considering the rise of cybercrime and identity theft. I was wondering how an open source project reconciles a high level of security with a flexible, open source product. 

Nowhere in the FAQ page do they mention security in any way. I find this deeply suspicious. Maybe I'm missing something about the implementation of the program that would answer this question for me, but it seems like something that should have been addressed upfront.

## Community: 
It says the community is mainly made up of volunteers working in their spare time. There is a small group of developers. 

## Project License:
GNU GPL

## Is the license approved by OSI or FSF?
Yes, it's approved by both.

## Type of license:
It's a copyleft license, so derivative work can only be distributed under the same license terms. It allows users the run, study, share and modify the software.

## How to report bugs:
They suggest you read these two tutorials:
[How to Ask Questions the Smart Way](http://www.catb.org/~esr/faqs/smart-questions.html)
[How to Report Bugs Effectively](https://www.chiark.greenend.org.uk/~sgtatham/bugs.html) 

They recommend you make sure that what you found is actually a bug. They suggest checking the mail archives for gnucash developers, gnucash users, and the gnucash mailing lists for other languages. If you have actually found a bug, you can report the bug in the Bugzilla database. 

## How to request new features:
Same as with reporting bugs, you are supposed to request any new features via Bugzilla. They request that you ask nicely, and try to sell developers on the idea. 

## How to ask questions:
They suggest you first check all the documentation. But if that doesn't answer a question, here is a webpage detailing other ways to get help: [Getting Help](https://wiki.gnucash.org/wiki/Getting_Help). Basically they recommend the mailing lists, IRC chat, or reporting bugs. 

## How to contact developers:
Contact [gnucash-devel@gnucash.org]

## Who provides commercial support:
I don't think there is any commercial support.

## Where do get the latest source code?
You can download the program via an installer, or from the source code, at [the download page](https://www.gnucash.org/download.phtml)

You can also download the code via their github at [https://github.com/Gnucash]

## Where to get info about contributing to the project?
This page describes all the ways that you can contribute to the project: [Contributing Instructions](https://wiki.gnucash.org/wiki/Contributing_to_GnuCash). They suggest you can contribute by testing, providing feedback, advocating for gnucash, donating money, writing documentation for how to do things, writing helpful pieces of code, and translating the program to a different language. 

## Whether the project is active?
Yes the project is active. The latest release was on 07/02/2017.


